scala.io.Source

# RelaxedPosition

#### object RelaxedPosition extends Position

A Position implementation which ignores errors in the positions.

Source
  Source.scala

Linear Supertypes
Position, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RelaxedPosition
2. Position
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val COLUMN_BITS: Int

   Number of bits used to encode the column number

   Number of bits used to encode the column number

   Definition Classes
     Position

5. #### final val COLUMN_MASK: Int

   Mask to decode the column number

   Mask to decode the column number

   Definition Classes
     Position

6. #### final val LINE_BITS: Int(20)

   Number of bits used to encode the line number

   Number of bits used to encode the line number

   Definition Classes
     Position

7. #### final val LINE_MASK: Int

   Mask to decode the line number

   Mask to decode the line number

   Definition Classes
     Position

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def checkInput(line: Int, column: Int): Unit

   Definable behavior for overflow conditions.

   Definable behavior for overflow conditions.

   Definition Classes
     RelaxedPosition → Position

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def column(pos: Int): Int

    Returns the column number of the encoded position.

    Returns the column number of the encoded position.

    Definition Classes
      Position

12. #### final def encode(line: Int, column: Int): Int

    Encodes a position into a single integer.

    Encodes a position into a single integer.

    Definition Classes
      Position

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def line(pos: Int): Int

    Returns the line number of the encoded position.

    Returns the line number of the encoded position.

    Definition Classes
      Position

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(pos: Int): String

    Returns a string representation of the encoded position.

    Returns a string representation of the encoded position.

    Definition Classes
      Position

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Position

### Inherited from AnyRef

### Inherited from Any

### Ungrouped